# Ядро плеера аудиокниг (biblio-player-core)

Модуль предназначен для разработки плеера с кастомным интерфейсов.

## Подключение скриптов

**Подключаем VUE 2**
```
<script src='https://cdn.jsdelivr.net/npm/vue@2.6.14'></script>
```

**Подключаем виджет**
```
<script src='https://167503.selcdn.ru/test/biblio-widget-ui.js'></script>
<link rel='stylesheet' href='https://167503.selcdn.ru/test/biblio-widget-ui.css'/>
```

**Иницализируем виджет**
```
<div id="bblpl">
	<biblio-player referal-key="$referal_key" user-key="$user_key" book-id="$book_id"/>
	<script>new Vue({ components: { biblioPlayer } }).$mount("#bblpl")</script>
</div>';
```

Необходимо заменить значения переменных:  
- **$book_id** - идентификатор книги
- **$referal_key** - авторизационный ключ реферала, выдающийся в личном кабинете
- **$user_key** - авторизационный ключ пользователя реферала, формирующийся в back-end части реферала по алгоритму. При неавторизованном пользователе указываем null. [Как сгенерировать user_key?](user-key.md)

